LINUX.ORG.RU

Прошу помощь в компилировании mpd 19.10 для openwrt

 ,


0

2

Здравствуйте, уважаемые форумчане!

Есть роутер wt3020, планиурю сделать из него плеер (mpd) с управлением через WiFi. Для удаленного управления планирую использовать upmpdcli (через DLNA). Этот клиент есть в openwrt 15.05, но эта версия openwrt у меня работает не стабильно (на wt3020). Версия 14.07 работает нормально, но там нет клиента upmpdcli.

Соответсвенно, возник вопрос (точнее, два): - можно ли скомпилировать upmpdcli для openwrt 14.07? - можно ли скомпилировать плеер mpd 19.10 для openwrt 14.07 (он, вроде, сам умеет работать по DLNA и upmpdcli ему не нужен)

Я начинающий *nix пользователь, поэтому шаги даются довольно тяжело. С тем, как компилировать прошивку openwrt я разобрался. Не пойму можно ли и как компилировать отсутствующие пакеты или пакеты более поздних версий, чем в релизе openwrt.

Спасибо!

можно ли скомпилировать плеер mpd 19.10 для openwrt 14.07 (он, вроде, сам умеет работать по DLNA и upmpdcli ему не нужен)

а 0.17.6-4 не умеет работать по DLNA или ему нужен upmpdcli, которого нет в 14.07?

kep ()
Ответ на: комментарий от kep

0.17 умеет стримить поток на DLNA - клиента. У меня вывод звука на USB звуковую карту, испоьзую ALSA. Поэтому стримить звук на DLNA клиента мне не нужно. А для того, чтобы управлять плеером mpd (0.17 и 0.18) по DLNA нужен upmpdcli, которого нет в 14.07

edlinx ()